Package net.shibboleth.idp.plugin.impl

# Class FirstPartyIdPPlugin

java.lang.Object
net.shibboleth.profile.plugin.AbstractPlugin<T>
net.shibboleth.profile.plugin.PropertyDrivenPlugin<IdPModule>
net.shibboleth.idp.plugin.PropertyDrivenIdPPlugin
net.shibboleth.idp.plugin.impl.FirstPartyIdPPlugin

All Implemented Interfaces:
  `IdPPlugin`, `Plugin<IdPModule>`

public class FirstPartyIdPPlugin extends PropertyDrivenIdPPlugin
Implementation class for plugins from the project itself to centralize update handling.

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.shibboleth.profile.plugin.Plugin

`Plugin.Package`

## Field Summary

### Fields inherited from class net.shibboleth.profile.plugin.PropertyDrivenPlugin

`DEFAULT_RESOURCE, PLUGIN_ID_PROPERTY, PLUGIN_LICENSE_PROPERTY, PLUGIN_MODULE_URL_PROPERTY, PLUGIN_PACKAGE_DESTNATION_PROPERTY, PLUGIN_PACKAGE_NONWINDOWS_PROPERTY, PLUGIN_PACKAGE_PROPERTY, PLUGIN_PACKAGE_SOURCE_PROPERTY, PLUGIN_PACKAGE_STRIP_TLD_PROPERTY, PLUGIN_PACKAGE_WINDOWS_PROPERTY, PLUGIN_REQ_MODULES_PROPERTY, PLUGIN_URL_PROPERTY, PLUGIN_VERSION_PROPERTY`

## Constructor Summary

Constructors
Constructor
Description
`FirstPartyIdPPlugin(Class<? extends IdPPlugin> claz)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<URL>`
`getDefaultModuleInfoSources()`
`List<URL>`
`getDefaultUpdateURLs()`

### Methods inherited from class net.shibboleth.profile.plugin.PropertyDrivenPlugin

`getLicenseFileLocation, getMajorVersion, getMinorVersion, getModuleInfoSources, getPatchVersion, getPluginId, getRequiredModules, getUpdateURLs, load`

### Methods inherited from class net.shibboleth.profile.plugin.AbstractPlugin

`equals, getDisableOnRemoval, getEnableOnInstall, getPackages, hashCode, setDisableOnRemoval, setEnableOnInstall, setPackages, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.shibboleth.profile.plugin.Plugin

`getDisableOnRemoval, getEnableOnInstall, getLicenseFileLocation, getMajorVersion, getMinorVersion, getModuleInfoSources, getPackages, getPatchVersion, getPluginId, getRequiredModules, getUpdateURLs`

## Constructor Details

### FirstPartyIdPPlugin

public FirstPartyIdPPlugin(@Nonnull Class<? extends IdPPlugin> claz) throws IOException, PluginException
Constructor.

Parameters:
  `claz` - type of plugin
Throws:
  `IOException` - if properties can't be loaded
  `PluginException` - if another error occurs

## Method Details

### getDefaultUpdateURLs

@Nonnull @Unmodifiable @NotLive public List<URL> getDefaultUpdateURLs() throws PluginException

Overrides:
  `getDefaultUpdateURLs` in class `PropertyDrivenPlugin<IdPModule>`
Throws:
  `PluginException` - if the URLs cannot be resolved

### getDefaultModuleInfoSources

@Nonnull @Unmodifiable @NotLive public List<URL> getDefaultModuleInfoSources() throws PluginException

Overrides:
  `getDefaultModuleInfoSources` in class `PropertyDrivenPlugin<IdPModule>`
Throws:
  `PluginException`